Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.util
Class FileSet

    java.lang.Object
      org.gradle.api.internal.artifacts.AbstractFileCollection
          org.gradle.api.tasks.util.FileSet

    class FileSet
    extends AbstractFileCollection

author:
  Hans Dockter

Property Summary
`java.io.File` | `dir`
`org.gradle.api.tasks.util.PatternSet` | `patternSet`

Constructor Summary
`FileSet()`
`FileSet(java.io.File dir)`
`FileSet(java.util.Map args)`

Method Summary
`def` | `addToAntBuilder(def node, java.lang.String childNodeName = null)`
`PatternFilterable` | `exclude(java.lang.String excludes)`
`PatternFilterable` | `exclude(java.lang.Iterable excludes)`
`java.lang.String` | `getDisplayName()`
`java.util.Set` | `getExcludes()`
`java.util.Set` | `getFiles()`
`java.util.Set` | `getIncludes()`
`PatternFilterable` | `include(java.lang.String includes)`
`PatternFilterable` | `include(java.lang.Iterable includes)`
`PatternFilterable` | `setExcludes(java.lang.Iterable excludes)`
`PatternFilterable` | `setIncludes(java.lang.Iterable includes)`

Methods inherited from class AbstractFileCollection
getAsPath, getDisplayName, getSingleFile, iterator, plus

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Property Detail

### dir

    java.io.File dir

### patternSet

    final org.gradle.api.tasks.util.PatternSet patternSet

Constructor Detail

### FileSet

    public FileSet()

### FileSet

    public FileSet(java.io.File dir)

### FileSet

    public FileSet(java.util.Map args)

Method Detail

### addToAntBuilder

    public def addToAntBuilder(def node, java.lang.String childNodeName = null)

### exclude

    public PatternFilterable exclude(java.lang.String excludes)

### exclude

    public PatternFilterable exclude(java.lang.Iterable excludes)

### getDisplayName

    public java.lang.String getDisplayName()

### getExcludes

    public java.util.Set getExcludes()

### getFiles

    public java.util.Set getFiles()

### getIncludes

    public java.util.Set getIncludes()

### include

    public PatternFilterable include(java.lang.String includes)

### include

    public PatternFilterable include(java.lang.Iterable includes)

### setExcludes

    public PatternFilterable setExcludes(java.lang.Iterable excludes)

### setIncludes

    public PatternFilterable setIncludes(java.lang.Iterable includes)

Groovy Documentation